> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 고객 단일 조회

> 단일 고객의 상세 정보를 조회합니다. 회사 정보, 담당자, 연락처, 상태(`status`)가 nested로 포함됩니다.



## OpenAPI

````yaml GET /v1/client/{client_id}
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/client/{client_id}:
    get:
      tags:
        - client
      summary: 고객 상세
      description: 단일 고객의 상세 정보를 조회합니다. 회사 정보, 담당자, 연락처, 상태(`status`)가 nested로 포함됩니다.
      operationId: client_retrieve
      parameters:
        - in: path
          name: client_id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiClientRetrieveUpdate'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    OpenapiClientRetrieveUpdate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        status:
          description: 고객 상태
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedClientStatus'
        companyName:
          type: string
          description: 회사명
          maxLength: 128
        inCharge:
          type:
            - string
            - 'null'
          description: 담당자
          maxLength: 64
        position:
          type:
            - string
            - 'null'
          description: 직책
          maxLength: 64
        contact:
          type:
            - string
            - 'null'
          description: 연락처
          maxLength: 128
        email:
          type:
            - string
            - 'null'
          format: email
          description: 이메일
          maxLength: 128
        content:
          type:
            - string
            - 'null'
          description: 메모
        businessRegistrationNumber:
          type:
            - string
            - 'null'
          description: 사업자 등록번호
          maxLength: 16
        ceoName:
          type:
            - string
            - 'null'
          description: 대표자
          maxLength: 128
        companyAddress:
          type:
            - string
            - 'null'
          description: 소재지
          maxLength: 256
        companyDetailAddress:
          type:
            - string
            - 'null'
          description: 소재지 상세
          maxLength: 256
        businessType:
          type:
            - string
            - 'null'
          description: 업태
          maxLength: 128
        businessClass:
          type:
            - string
            - 'null'
          description: 종목
          maxLength: 128
        branchNumber:
          type:
            - string
            - 'null'
          description: 종사업장 번호
          maxLength: 4
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
        taxInvoiceEmail:
          type:
            - string
            - 'null'
          description: 세금계산서 전용 이메일
          maxLength: 128
        fieldSet:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/OpenapiClientFields'
          description: 커스텀 필드
      required:
        - companyName
        - created
        - id
    OpenapiNestedClientStatus:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
          description: 상태 제목
      required:
        - id
        - title
    OpenapiClientFields:
      type: object
      properties:
        field:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedField'
          description: 커스텀 필드
        value:
          anyOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items:
                type: object
          description: 값
      required:
        - field
        - value
    OpenapiNestedField:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          readOnly: true
          description: 커스텀 필드 이름
        dataType:
          enum:
            - S
            - 'N'
            - M
            - D
            - T
            - B
            - SL
            - ML
          type: string
          x-spec-enum-id: 382c397735902283
          readOnly: true
          description: |-
            데이터 타입

            * `S` - String
            * `N` - Number
            * `M` - Member
            * `D` - Date
            * `T` - Time
            * `B` - Boolean
            * `SL` - Single List(단수 선택)
            * `ML` - Multi List(복수 선택)
          x-enumNames:
            - String
            - Number
            - Member
            - Date
            - Time
            - Boolean
            - Single List(단수 선택)
            - Multi List(복수 선택)
        optionSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedFieldOption'
          readOnly: true
          description: 커스텀 필드 옵션 목록 (단수선택(SL), 복수선택(ML) 타입에서만 데이터 존재)
        memberSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedMember'
          readOnly: true
          description: 멤버 목록 (멤버(M) 타입에서만 데이터 존재)
      required:
        - dataType
        - id
        - memberSet
        - name
        - optionSet
    OpenapiNestedFieldOption:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
    OpenapiNestedMember:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        nickname:
          type:
            - string
            - 'null'
          readOnly: true
          description: 닉네임
        email:
          type: string
          readOnly: true
          description: 이메일
        isActive:
          type: boolean
          readOnly: true
          description: 활성화 여부
        grade:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedMemberGrade'
          readOnly: true
          description: 등급
      required:
        - email
        - grade
        - id
        - isActive
        - nickname
    OpenapiNestedMemberGrade:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````